var qm = require('qminer-try');
var loader = require('qminer-data-loader');
'loaded';

var base = new qm.Base({
    mode: 'createClean',
    schema: [{ name: 'tweets',
               fields: [{ name: 'text', type: 'string' },
                        { name: 'target', type: 'float' }]
            }]
});
'defined schema';

loader.loadSentimentDataset(base.store('tweets'));
var tweets = base.store('tweets').allRecords;
'got ' + tweets.length + ' tweets';;

var featureSpace = new qm.FeatureSpace(base, {
      type: 'text', source: 'tweets', field: 'text'});
featureSpace.updateRecords(tweets);
'built feature space with ' + featureSpace.dim + ' dimensions';

var SVC = new qm.analytics.SVC({ maxTime: 5 });
SVC.fit(featureSpace.extractSparseMatrix(tweets),
        tweets.getVector('target'));
'trained model';

var y1 = SVC.predict(featureSpace.extractSparseVector(base.store('tweets').newRecord({
    text: "Cats are stupid."
})));
'predicted sentiment ' + (y1 > 0 ? 'positive' : 'negative');;

var y2 = SVC.predict(featureSpace.extractSparseVector(base.store('tweets').newRecord({
    text: "Cats are totally amazing!"
})));
'predicted sentiment ' + (y2 > 0 ? 'positive' : 'negative');;
